Get Paged Service Definition Orgs
Get organizations with access to specified service.
This API has no analogue in Tenant Manager
Currently all organizations have access to all of the service definitions.
Access Policy
| Role | Access |
|---|---|
| Platform operator | ✔️ |
| Organization Owner | ❌ |
| Organization Member | ❌ |
| Service Account (Whitelisted Client) | ✔️ |
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/slc/api/v2/definitions/{serviceDefinitionId}/orgs
COPY
Path Parameters
string
serviceDefinitionId
Required
serviceDefinitionId
Query Parameters
integer
pageStart
Optional
Constraints:
default: 0
pageStart
integer
pageLimit
Optional
Constraints:
default: 128
pageLimit
Responses
200
OK
Returns
PagedResponseServiceDefinitionOrgResponse
of type(s)
*/*
{
"results": [
{
"name": "string",
"displayName": "string",
"metadata": {
"metadata": "string"
},
"orgId": "string",
"parentOrgId": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
401
The user is not authorized to use the API.
Returns
PagedResponseServiceDefinitionOrgResponse
of type(s)
*/*
{
"results": [
{
"name": "string",
"displayName": "string",
"metadata": {
"metadata": "string"
},
"orgId": "string",
"parentOrgId": "string"
}
],
"nextLink": "string",
"prevLink": "string",
"totalResults": 0
}
404
The service definition is not found.
Returns
PagedResponseServiceDefinitionOrgResponse
of type(s)
*/*
"PagedResponseServiceDefinitionOrgResponse Object"
array of
object
results
Optional
The list of results.
string
nextLink
Optional
URL to the next page of results.
string
prevLink
Optional
URL to the previous page of result.
integer As int64
As int64
totalResults
Optional
The total number of results on all pages.
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/slc/api/v2/definitions/{serviceDefinitionId}/orgs
Deprecated
On This Page
Service Definition V2controller Operations
GET
Get All By Org Service Definitions
Deprecated
GET
Get Paged Service Definition Orgs
Deprecated